Token payroll

Send Distribution Reminder Notification

Emails a token distribution reminder to the given employee users with request-supplied payroll figures.

POSThttps://api.toku.com/stablecoin-payroll/send-distribution-reminder-notification

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/send-distribution-reminder-notification' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payrollID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "payDate": "2026-01-01T00:00:00Z",
  "cutoffDate": "2026-01-01T00:00:00Z",
  "totalTokenAmount": 0,
  "currency": "string",
  "employeeUserIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
200 response
{
  "success": true,
  "message": "string",
  "emailsSent": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payrollIDstring<uuid>required
payDatestring<date-time>required
cutoffDatestring<date-time>required
totalTokenAmountnumberrequired

Allowed: at least 0

currencystringrequired

Allowed: 1 to 20 characters

employeeUserIDsstring<uuid>[]required

Allowed: at most 5000 items

Response

200Successful response
successbooleanrequired
messagestringrequired
emailsSentintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits